Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.memcache
Interface ErrorHandler

All Known Implementing Classes:
  LogAndContinueErrorHandler, StrictErrorHandler

    public interface ErrorHandler

Handles errors raised by the `MemcacheService`, registered with `BaseMemcacheService.setErrorHandler(ErrorHandler)`. The default error handler is an instance of `LogAndContinueErrorHandler`. This will log the underlying error condition, but emulate cache-miss behavior in response rather than surfacing the problem to calling code. A less permissive alternative is `StrictErrorHandler`, which will instead throw a `MemcacheServiceException` to expose any errors for application code to resolve.

Method Summary
`void` | `handleDeserializationError(InvalidValueException ivx)` Handles deserialization errors.
`void` | `handleServiceError(MemcacheServiceException ex)` Handles back-end service errors.

Method Detail

### handleDeserializationError

    void handleDeserializationError(InvalidValueException ivx)

  Handles deserialization errors. This method is called from either of the `get` methods, if the retrieved value cannot be deserialized. This normally indicates an application upgrade since the cache entry was stored, and should thus be treated as a cache miss, which is the behavior of `LogAndContinueErrorHandler` (the default).

### handleServiceError

    void handleServiceError(MemcacheServiceException ex)

  Handles back-end service errors. This method is called from any of the `MemcacheService` methods in the event of a service error. The handler may throw any `RuntimeException`, or it may simply return for "permissive" error handling, which will generally emulate behavior of a cache miss due to a discarded entry.

  Parameters:
    `ex` - the service error exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD